Summary:	Screen Fixed Cyrillic font
Summary(pl.UTF-8):	Font Screen Fixed w cyrylicy
Name:		xorg-font-font-screen-cyrillic
Version:	1.0.4
Release:	2
License:	MIT
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-screen-cyrillic-%{version}.tar.bz2
# Source0-md5:	6f3fdcf2454bf08128a651914b7948ca
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/cyrillic
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Screen Fixed Cyrillic font.

%description -l pl.UTF-8
Font Screen Fixed w cyrylicy.

%prep
%setup -q -n font-screen-cyrillic-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-fontdir=%{_fontsdir}/cyrillic

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# fonts.scale bogus, fonts.dir generated in post
rm -f $RPM_BUILD_ROOT%{_fontsdir}/cyrillic/fonts.{dir,scale}

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst cyrillic

%postun
fontpostinst cyrillic

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/cyrillic/screen*.pcf.gz
%changelog
* Sun Oct 07 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-font-font-screen-cyrillic.git;a=log;h=master

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 3fe2c4d
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f68a014
- dropped pre-cvs changelog

* Wed Nov 17 2010 Jakub Bogusz <qboosh@pld-linux.org> 2a4d4b9
- updated to 1.0.4

* Thu Oct 07 2010 Jakub Bogusz <qboosh@pld-linux.org> eb15562
- updated to 1.0.3

* Tue Oct 20 2009 Jakub Bogusz <qboosh@pld-linux.org> 02925ca
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a04691b
- up to 1.0.2

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> e03d958
- BA: noarch
- release 3

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 436e94f
- R: font-alias (with some -screen-fixed-* entries)

* Sun Apr 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 8b37f26
- informative descriptions
- kill empty fonts.scale for non-scalable fonts
- release 2

* Mon Feb 19 2007 Jan Rękorajski <baggins@pld-linux.org> 433436a
- release 1
- resolve conflict by rebuilding fonts.{dir,scale} in post

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fc29c01
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ca601d9
- converted to UTF-8

* Mon Dec 04 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 355547c
- rel 0.2

* Thu Nov 09 2006 Jakub Bogusz <qboosh@pld-linux.org> ff5f37a
- updated to 1.0.1

* Wed Jan 04 2006 Jakub Bogusz <qboosh@pld-linux.org> fcee3c8
- 1.0.0 (X11R7.0 release)

* Tue Dec 06 2005 Jakub Bogusz <qboosh@pld-linux.org> de12695
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 76c9508
- pkgconfig epoch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> aae53c7
- cleanups, better Group; TODO: use PLD fonts infrastructure

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 16261c9
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 33339b3
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

